Home » Red Hat OpenShift Container Platform: New Vulnerability! Linux affected

Red Hat OpenShift Container Platform: New Vulnerability! Linux affected

by admin
Red Hat OpenShift Container Platform: New Vulnerability!  Linux affected

There is a current IT security warning for Red Hat OpenShift Container Platform. Here you can find out which vulnerabilities are involved, which products are affected and what you can do.

The Federal Office for Security in der Informationstechnik (BSI) reported a security advisory for Red Hat OpenShift Container Platform on 06/05/2023. The notification lists several vulnerabilities that allow an attack. The Linux operating system and the product Red Hat OpenShift are affected by the vulnerability.

The latest manufacturer recommendations regarding updates, workarounds and security patches for this vulnerability can be found here: RedHat Security Advisory (Status: 04.06.2023). Other useful sources are listed later in this article.

Multiple vulnerabilities reported for Red Hat OpenShift Container Platform – Risk: medium

Risk level: 3 (medium)
CVSS Base Score: 7,5
CVSS Temporal Score: 6,5
Remoteangriff: Ja

The Common Vulnerability Scoring System (CVSS) is used to assess the vulnerability of computer systems. The CVSS standard makes it possible to compare potential or actual security vulnerabilities based on various criteria in order to better prioritize countermeasures. The attributes “none”, “low”, “medium”, “high” and “critical” are used for the severity of a vulnerability. The base score assesses the prerequisites for an attack (including authentication, complexity, privileges, user interaction) and its consequences. The Temporal Score also takes into account changes over time with regard to the risk situation. The severity of the vulnerability discussed here is rated as “medium” according to the CVSS with a base score of 7.5.

Red Hat OpenShift Container Platform Bug: Description of the attack

Red Hat OpenShift is a “Platform as a Service” (PaaS) solution for providing applications in the cloud.

See also  Red Hat OpenShift: Multiple vulnerabilities allow Denial of Service

A remote, anonymous attacker could exploit multiple vulnerabilities in Red Hat OpenShift Container Platform to perform a denial of service attack or disclose information.

The vulnerabilities were classified using the CVE reference system (Common Vulnerabilities and Exposures) based on the individual serial numbers CVE-2022-41723, CVE-2022-41722, CVE-2021-36157 und CVE-2018-17419.

Systems affected by the vulnerability at a glance

operating system
Linux

Products
Red Hat OpenShift Container Platform < 4.12.19 (cpe:/a:redhat:openshift)
Red Hat OpenShift Container Platform < 4.13.1 (cpe:/a:redhat:openshift)
Red Hat OpenShift Container Platform < 4.11.42 (cpe:/a:redhat:openshift)

General recommendations for dealing with IT vulnerabilities

  1. Users of the affected systems should keep them up to date. When security vulnerabilities become known, manufacturers are required to remedy them as quickly as possible by developing a patch or a workaround. If new security updates are available, install them promptly.
  2. For information, consult the sources listed in the next section. These often contain further information on the latest version of the software in question and the availability of security patches or tips on workarounds.
  3. If you have any further questions or are uncertain, please contact your responsible administrator. IT security officers should regularly check the sources mentioned to see whether a new security update is available.

Sources for updates, patches and workarounds

At this point there are further links with information about bug reports, security fixes and workarounds.

RedHat Security Advisory vom 2023-06-04 (05.06.2023)
For more information, see: https://access.redhat.com/errata/RHSA-2023:3304

RedHat Security Advisory vom 2023-06-04 (05.06.2023)
For more information, see: https://access.redhat.com/errata/RHSA-2023:3305

RedHat Security Advisory vom 2023-06-04 (05.06.2023)
For more information, see: https://access.redhat.com/errata/RHSA-2023:3309

RedHat Security Advisory vom 2023-06-04 (05.06.2023)
For more information, see: https://access.redhat.com/errata/RHSA-2023:3287

See also  Skirmish between Enpal and Meyer Burger

Version history of this security alert

This is the initial version of this IT Security Advisory for Red Hat OpenShift Container Platform. If updates are announced, this text will be updated. You can understand the changes made using the following version history.

06/05/2023 – Initial version

+++ Editorial note: This text was created with AI support based on current BSI data. We accept feedback and comments at [email protected]. +++

follow News.de already at Facebook, Twitter, Pinterest and YouTube? Here you will find the latest news, the latest videos and the direct line to the editors.

roj/news.de

You may also like

Leave a Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.

This website uses cookies to improve your experience. We'll assume you're ok with this, but you can opt-out if you wish. Accept Read More

Privacy & Cookies Policy